Name:          LibRaw
Version:       0.20.2
Release:       7
Summary:       Library for reading RAW files obtained from digital photo cameras
License:       BSD and (CDDL-1.0 or LGPLv2)
URL:           http://www.libraw.org
Source0:       http://github.com/LibRaw/LibRaw/archive/%{version}.tar.gz
Patch0000:     prevent-buffer-overrun-in-parse_rollei.patch
Patch0001:     fix-stack-buffer-overflow-in-LibRaw_buffer_datastream_gets.patch
Patch0002:     fix-use-of-uninitialized-value.patch
Patch0003:     fix-use-of-uninitialized-value-in-makernotes.patch
Patch0004:     fix-use-of-uninitialized-value-in-misc_parsers.patch
Patch0005:     CVE-2023-1729.patch
# https://github.com/LibRaw/LibRaw/commit/bc3aaf4223fdb70d52d470dae65c5a7923ea2a49
Patch0006:     CVE-2021-32142.patch
BuildRequires: gcc-c++ pkgconfig(lcms2) pkgconfig(libjpeg)
BuildRequires: autoconf automake libtool
Provides:      bundled(dcraw) = 9.25
%description
LibRaw is a library for reading RAW files from digital photo cameras (CRW/CR2, NEF,
RAF, etc, virtually all RAW formats are supported).It pays special attention to
correct retrieval of data required for subsequent RAW conversion.The library is
intended for embedding in RAW converters, data analyzers, and other programs using
RAW files as the initial data.

%package devel
Summary:      LibRaw development libraries
Requires:     %{name} = %{version}-%{release}

Provides:      LibRaw-static = %{version}-%{release} LibRaw-samples = %{version}-%{release}
Obsoletes:     LibRaw-static < %{version}-%{release} LibRaw-samples < %{version}-%{release}

%description devel
The LibRaw-devel package contains development and header files.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -if
%configure --enable-examples=yes --disable-jasper --enable-jpeg \
           --enable-lcms --enable-openmp

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
cp -pr doc manual
chmod 644 LICENSE.CDDL LICENSE.LGPL COPYRIGHT Changelog.txt manual/*.html
%make_install

rm -rfv samples/.deps samples/.dirstamp samples/*.o
%delete_la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc Changelog.txt
%license LICENSE.CDDL LICENSE.LGPL COPYRIGHT
%{_libdir}/{libraw,libraw_r}.so.20*

%files devel
%doc manual samples
%{_bindir}/*
%{_includedir}/libraw/
%{_libdir}/{libraw,libraw_r}.a
%{_libdir}/{libraw,libraw_r}.so
%{_libdir}/pkgconfig/{libraw,libraw_r}.pc
%exclude %{_docdir}/libraw/*

%changelog
* Tue Mar 26 2024 yaoxin <yao_xin001@hoperun.com> - 0.20.2-7
- Fix CVE-2021-32142

* Mon May 15 2023 yaoxin <yao_xin001@hoperun.com> - 0.20.2-6
- Fix CVE-2023-1729

* Fri Feb 25 2022 xu_ping <xuping33@huawei.com> - 0.20.2-5
- fix use of uninitialized value of makernotes.cpp and misc_parsers.cpp

* Thu Jun 3 2021 zhangjiapeng <zhangjiapeng9@huawei.com> - 0.20.2-4
- fix use of uninitialized value

* Sat Dec 5 2020 leiju <leiju4@huawei.com> - 0.20.2-3
- modify Patch0001 name to fix patch parse error

* Fri Dec 4 2020 zhanghua <zhanghua40@huawei.com> - 0.20.2-2
- fix stack buffer overflow in LibRaw_buffer_datastream::gets()

* Tue Dec 1 2020 zhanghua <zhanghua40@huawei.com> - 0.20.2-1
- update to 0.20.2 and fix stack buffer overflow in parse_rollei

* Wed Sep 16 2020 zhanghua <zhanghua40@huawei.com> - 0.19.0-10
- Fix CVE-2018-20363, CVE-2018-20364, CVE-2018-20365

* Mon Jul 13 2020 wangyue <wangyue92@huawei.com> - 0.19.0-9
- Fix CVE-2018-20337.
 
* Mon Mar 09 2020 songnannan <songnannan2@huaiwe.com> - 0.19.0-8
- disable the jasper

* Fri Oct 25 2019 yanzhihua<yanzhihua4@huawei.com> - 0.19.0-7
- Package init
